<?php
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

include "inc/func.inc";
include "inc/conf.inc";

$text = @file("../local/profil/$log.prof");
if ($text!="")
{
$udata = explode(":||:",$text[0 ]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);
}
if(!isset($did)){echo "Не выбрана директория для загрузки";}
 else {
if(file_exists("files$did/users.offs")){

if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {

 echo"Привет, $log<br>";

 list($tip,$oform)=file_type("files$did");
if($act=="load"){
if($opis!==''){
if (($_FILES['fid']['size']) <= $max_size*1024){
if (($_FILES['fid']['size']) <= 1024000){
$fides = file_get_contents($fid);
$prov = htmlspecialchars($fides);}
	   $fidname=trim($fidname);
	   $fidname=utf_to_lat($fidname);
	   $fidname=check_fulls($fidname);
	   $fidname=str_replace("..","",$fidname);
       $fidname=str_replace("/","",$fidname);
       $fidname=str_replace("\/","",$fidname);
       $fidname=str_replace("#","",$fidname);
	if((preg_match("/\bphp/i", $fidname)==true) or (preg_match("/\bhtm/i",$fidname)==true) or (preg_match("/\bphtml/i",$fidname)==true) or (preg_match("/\bphp/i",$_FILES['fid']['name'])) or (preg_match("/else/i",$prov)) or (preg_match("/echo/i",$prov)) or (preg_match("/print/i",$prov)) or (preg_match("/base64_decode/i",$prov)) or (preg_match("/Zend/i",$prov))){
		echo "Попытка залить скрипт.<br>Так делать нельзя!!!<br><center>
       	[<a href='Upl.php?did=$did&SID=$SID'>Повторить</a>]<br>
        [<a href='index.php?did=$did&SID=$SID'>К папке</a>]<br>
        [<a href='index.php?did=&SID=$SID'>К загрузкам</a>]<br>
        [<a href='../index.php?SID=$SID'>На главную</a>]</center>";exit;
	}
	else{
       $format=format($fidname);
       $format2=format($_FILES['fid']['name']);
       if(((array_search($format,$oform))==true and $format==$format2) or ($tip=="java" and ($format=="jar" or $format=="jad") and $format==$format2)){
       	$upl = "files$did/$fidname";
       	if (file_exists($upl)==false){
       		if((move_uploaded_file($_FILES["fid"]["tmp_name"], $upl))==true){
       			echo "<br>Файл загружен!<br>";

       		}else {
       			echo "Произошла ошибка<br><center>[<a href='Upl.php?did=$did'>Повторить</a>]<br>
       			[<a href='index.php?did=$did&SID=$SID'>К папке</a>]<br>
                [<a href='index.php?did=&SID=$SID'>К загрузкам</a>]<br>
                [<a href='../index.php?SID=$SID'>На главную</a>]</center>";
				include_once"../themes/$config_themes/foot.php"; exit;
       		}
       	}
       	else {echo "Такой файл уже существует.Bведите другое название<br><center>
       	[<a href='Upl.php?did=$did&SID=$SID'>Повторить</a>]<br>
        [<a href='index.php?did=$did&SID=$SID'>К папке</a>]<br>
        [<a href='index.php?did=&SID=$SID'>К загрузкам</a>]<br>
        [<a href='../index.php?SID=$SID'>На главную</a>]</center>";
		include_once"../themes/$config_themes/foot.php"; exit;}
       }
       else{ echo "Данный тип файлов запрещен<br><center>
       	[<a href='?did=$did&SID=$SID'>Повторить</a>]<br>
        [<a href='index.php?did=$did&SID=$SID'>К папке</a>]<br>
        [<a href='index.php?did=&SID=$SID'>К загрузкам</a>]<br>
        [<a href='../index.php?SID=$SID'>На главную</a>]</center>";
		include_once"../themes/$config_themes/foot.php"; exit;}
	}
}
else {echo "Размер Файла превышает лимит
       	[<a href='?did=$did&SID=$SID'>Повторить</a>]<br>
        [<a href='index.php?did=$did&SID=$SID'>К папке</a>]<br>
        [<a href='index.php?did=&SID=$SID'>К загрузкам</a>]<br>
        [<a href='../index.php?SID=$SID'>На главную</a>]</center>";
		include_once"../themes/$config_themes/foot.php"; exit;}

if (($_FILES['scren1']['size']) <= $max_size_scr*1024){
$fides = @file_get_contents($_FILES["scren1"]["tmp_name"]);
$prov = htmlspecialchars($fides);
	if((preg_match("/\bphp/i",$_FILES['scren1']['name'])) or (preg_match("/else/i",$prov)) or (preg_match("/echo/i",$prov)) or (preg_match("/print/i",$prov)) or (preg_match("/base64_decode/i",$prov)) or (preg_match("/Zend/i",$prov))){
		echo "Скриншот 1. Попытка залить скрипт. Так делать нельзя!!!<br>";
	}else{
	   $fidname=trim($fidname);
	   $fidname=htmlspecialchars($fidname);
	   $fidname=str_replace("/","",$fidname);
	   $format=format($_FILES['scren1']['name']);
	   list($tip,$oform)=file_type("inc");
       if(((array_search($format,$oform))==true)){
       	$upl = 'files'.$did.'/'.$fidname.'.'.$format;

       		if((move_uploaded_file($_FILES["scren1"]["tmp_name"], $upl))==true){
       			echo "Cкриншот 1 загружен <br>";

       		}else {
       			echo "Скриншот 1 не загружен<br>";
       		}
       }
       else echo "Скриншот 1 не загружен<br>";
	}
}else echo "Размер скриншота 1 превышает лимит<br>";

if (($_FILES['scren2']['size']) <= $max_size_scr*1024){
$fides = @file_get_contents($_FILES["scren2"]["tmp_name"]);
$prov = htmlspecialchars($fides);
	if((preg_match("/\bphp/i",$_FILES['scren2']['name'])) or (preg_match("/else/i",$prov)) or (preg_match("/echo/i",$prov)) or (preg_match("/print/i",$prov)) or (preg_match("/base64_decode/i",$prov)) or (preg_match("/Zend/i",$prov))){
		echo "Скриншот 2. Попытка залить скрипт. Так делать нельзя!!!<br>";
	}else{
		$fidname=trim($fidname);
	    $fidname=htmlspecialchars($fidname);
	    $fidname=str_replace("/","",$fidname);
	    $format=format($_FILES['scren2']['name']);
	    list($tip,$oform)=file_type("inc");
        if(((array_search($format,$oform))==true)){
       	$upl = 'files'.$did.'/'.$fidname.'.'.$format;
			
       		if((move_uploaded_file($_FILES["scren2"]["tmp_name"], $upl))==true){
       			echo "Cкриншот 2 загружен <br>";
				
       		}else {
       			echo "Скриншот 2 не загружен<br>";
       		}
       }
       else echo "Скриншот 2 не загружен<br>";
	}
}else echo "Размер скриншота 2 превышает лимит<br>";

$opis=check_fulls($opis);
$opis=eregi_replace("((https?|ftp)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&amp;._=/~:%#]*(\\?[[:alnum:]?+&amp;_=/%:#]*)?)?)", "<a href='\\1'>\\1</a>", $opis);
$opis=preg_replace ("|[\r\n]+|si","<br>",$opis);
$opis=str_replace(" ","<br>",$opis);
$opis=str_replace("§","<br>",$opis);
$opis = antimat($opis);
$opis = smiles($opis);

$opis="$opis";
$f=fopen("files$did/$fidname.txt","w");
fputs($f,$opis);
fclose($f);

$imya=check_fulls($imya);
$upltime = time();
$ex = pathinfo("files$did/$fidname");
$ex = $ex[extension];
$rr = str_replace(".".$ex,"",$fidname);
$size = filesize("files$did/$fidname");
$dik=str_replace("/", "", $did);
$fn=@file("baze/$dik.baz");
$count = count($fn)+1;
$fp=fopen("baze/$dik.baz","a+");
flock ($fp,LOCK_EX);
	$zap = "$count|0|0|0|$log||$upltime|$size|$imya|$rr|$ex|$did/$fidname|\r\n";
	fputs($fp,"$zap");
	fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
@chmod("$fp", 0666);

echo "Описание создано<br><center>
		[<a href='Upl.php?did=$did&SID=$SID'>Загрузить ещё</a>]<br>
		[<a href='index.php?did=$did&SID=$SID'>К папке</a>]<br>
        [<a href='index.php?did=&SID=$SID'>К загрузкам</a>]<br>
        [<a href='../index.php?SID=$SID'>На главную</a>]</center>";

}else{ echo "Вы не добавили описание к файлу!<br><center>
[<a href='Upl.php?did=$did&SID=$SID'>Попробовать ещё</a>]<br>
[<a href='index.php?did=$did&SID=$SID'>К папке</a>]<br>
[<a href='index.php?did=&SID=$SID'>К загрузкам</a>]<br>
[<a href='../index.php?SID=$SID'>На главную</a>]</center>";
include_once"../themes/$config_themes/foot.php";}
}
else {
	echo"Максимальный размер файла для загрузки: $max_size Кб<br>
	Разрешенные форматы для загрузки:<br>";
if($tip=="java"){echo "[jar]<br>[jad]<br>";}else{
	foreach ($oform as $val){
		if ($val!==""){
	echo "[$val]<br>";}
	}}
	echo"Название заливаемого файла не должно быть вида запрещённого формата!<br>
	т.е. файл с названием php.zip не зальется.<br><form action=\"?act=load&did=$did&SID=$SID\" method='post' enctype='multipart/form-data'>
         Выберите файл:<br>
         <input type=file name=fid><br>

         Сохранить как:<br>

         <input type=text name=fidname>< Укажите название файла и его расширение.<br>";

echo "<br>
Описание файла:<br>
<textarea name=\"opis\" cols=50 rows=10></textarea><br><font color='red'>
Не забывайте добавлять описание иначе файл просто не загрузится.</font><br><br>
Название Файла для отображения:<br>
<input type=\"text\" name=\"imya\"><br><br>";

		if ($tip!=='img'){
		 	echo"Максимальный размер скриншота для загрузки: $max_size_scr Кб<br><br>
			Вы можете выгрузить два разных скриншота к одному файлу,<br>
			единственным условием правильной выгрузки является <br>
			различие скриншотов по формату, т.е. если Вы <br>
			укажете два разных скриншота в одном формате то сохранится только <br>
			<font color='red'>ПОСЛЕДНИЙ</font> из них!!!<br><br>
	Разрешенные форматы для загрузки скриншота:<br>";
	list($tip,$oform)=file_type("inc");
	foreach ($oform as $val_scr){
		if ($val_scr!==""){
	echo "[$val_scr]<br>";}
	}
         echo "Выберите сктиншот: (не обязательно)<br><br>
		 Скриншот 1.<br>
         <input type=file name=scren1><br>
		 Скриншот 2.<br>
         <input type=file name=scren2><br>";}

		 echo "<input type=submit value='Загрузить'><br>
         </form><center>
         [<a href='index.php?did=$did&SID=$SID'>К папке</a>]<br>
         [<a href='index.php?did=&SID=$SID'>К загрузкам</a>]<br>
         [<a href='../index.php?SID=$SID'>На главную</a>]</center>";
}
}
else {
	echo"Вы не авторизованы,<br>
	для добавления файлов необходимо <a href=\"../vhod.php\">
	авторизоваться</a><br> или сперва <a href=\"../registration.php\">
	зарегистрироваться</a><br><center>
		[<a href='index.php?did=$did&SID=$SID'>К папке</a>]<br>
        [<a href='index.php?did=&SID=$SID'>К загрузкам</a>]<br>
        [<a href='../index.php?SID=$SID'>На главную</a>]</center>";
}}
else echo "Загрузка в данную директорию запрещена<br>
<center>[<a href='index.php?did=$did&SID=$SID'>К папке</a>]<br>
[<a href='index.php?did=&SID=$SID'>К загрузкам</a>]<br>
[<a href='../index.php?SID=$SID'>На главную</a>]</center>";}
include_once"../themes/$config_themes/foot.php";
?>